Loading...
Searching...
No Matches
gtsam::IsVectorSpace< T > Class Template Reference

## Detailed Description

template<typename T>
class gtsam::IsVectorSpace< T >

Vector Space concept.

Inheritance diagram for gtsam::IsVectorSpace< T >:

## Public Member Functions

| BOOST_CONCEPT_USAGE (IsVectorSpace)
Public Member Functions inherited from gtsam::IsLieGroup< T >
| BOOST_CONCEPT_USAGE (IsLieGroup)
Public Member Functions inherited from gtsam::IsGroup< T >
| BOOST_CONCEPT_USAGE (IsGroup)

## Public Types

typedef traits< T >::structure_category | structure_category_tag
Public Types inherited from gtsam::IsLieGroup< T >
typedef traits< T >::structure_category | structure_category_tag
typedef traits< T >::ManifoldType | ManifoldType
typedef traits< T >::TangentVector | TangentVector
typedef traits< T >::ChartJacobian | ChartJacobian
Public Types inherited from gtsam::IsGroup< T >
typedef traits< T >::structure_category | structure_category_tag
typedef traits< T >::group_flavor | flavor_tag

The documentation for this class was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/VectorSpace.h